amoeba (1.1-29) unstable; urgency=medium

  * 26-alsa-support.diff: Only try to compile ALSA support if the headers have
    new enough API; will prevent us from trying to compile against OSS4's
    ALSA emulation (which has an ancient version) on non-Linux platforms.
    Fixes FTBFS on Hurd and FreeBSD. (We still link against the library,
    although then uselessly on those platforms.)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 01 May 2015 20:22:46 -0700

amoeba (1.1-28) unstable; urgency=high

  * Add missing build-dependency on libasound2-dev; fixed FTBFS.
    (Closes: #783523)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 29 Apr 2015 21:08:53 -0700

amoeba (1.1-27) unstable; urgency=medium

  * debian/patches/25-libpng-1.5-fixes.diff: Remove a stray variable declaration
    that causes compilation problems with some versions of libpng.
  * 26-alsa-support.diff: New patch, support ALSA as well as OSS
    (including support for multiple sound cards if you are using the GTK+ GUI).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 19 Apr 2015 20:02:33 +0200

amoeba (1.1-26) unstable; urgency=low

  * 24-build-on-kfreebsd.diff: Added missing __linux__ -> __unix__
    replacements in opengl/glwindow.h; should fix building on non-Linux
    platforms. (Closes: #673201)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 17 May 2012 10:22:37 +0000

amoeba (1.1-25) unstable; urgency=low

  * debian/patches/25-libpng-1.5-fixes.diff: New patch, fixes compilation
    with libpng 1.5 or newer. (Closes: #650593)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 14 May 2012 19:07:31 +0200

amoeba (1.1-24) unstable; urgency=low

  * Remove obsolete file debian/patches/debian-changes-1.1-21
    (see changelog for 1.1-22).
  * 24-build-on-kfreebsd.diff: New patch, based on work by
    Christoph Egger; should make Amoeba compile and work on kFreeBSD.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 14 Apr 2012 14:11:44 +0200

amoeba (1.1-23) unstable; urgency=low

  * Build-Depend on libjpeg-dev instead of libjpeg62-dev.
    (Closes: #649760) 

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 23 Nov 2011 21:46:16 +0100

amoeba (1.1-22) unstable; urgency=low

  * Remove URL to Underscore from the description, as the domain no longer
    exists. (Closes: #556401)
  * 23-link-with-libdl.diff: Link with -ldl to avoid FTBFS with GNU gold.
    Patch from Ubuntu. (Closes: #556751)
  * Fold debian-changes-1.1-21 into 22-tighten-up-non-const-chars.diff,
    where it was meant to be all along.
  * Update Standards-Version to 3.9.1 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 21 Feb 2011 02:04:59 +0100

amoeba (1.1-21) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
    * Add debian/source/format file.
    * Remove everything related to quilt from debian/rules file.
    * Remove quilt build-dependency.
  * Refer explicitly to GPL-2 in the debian/copyright file.
  * Update Standards-Version to 3.8.4 (no changes needed).
  * 20-fix-invalid-conversion.diff: Don't write to a char*
    returned by strchr() on a const char *. Based on a patch from Ubuntu.
  * 21-dont-link-uselessly.diff: Don't add -lXext -lvorbis -logg
    explicitly during linking, as we don't need any of their symbols directly.
  * 22-tighten-up-non-const-chars.diff: Tighten up the use of non-const char
    pointers in prototypes, so that we don't make any assumptions that
    string literals can be used as (non-const) char*. Removes a slew of
    warnings, and probably FTBFS at some future point.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 06 May 2010 01:56:22 +0200

amoeba (1.1-20) unstable; urgency=low

  * Reinstate the GUI.
    * Remove 19-disable-gtk-config-interface.diff.
    * 19-update-config-interface-to-gtk2.diff: New patch, port GUI to GTK+ 2.
      (Closes: #511953)
    * 09-dont-set-gtk-locale.diff: Change to setting C locale explicitly,
      since GTK+ 2 sets locale unconditionally. Rename to 09-set-c-locale.diff.
    * Build-depend on libgtk2.0-dev.
    * Add Recommends on libgtk2.0-0.
  * Change build-dependency from outdated package from xlibmesa-gl-dev to
    libgl1-mesa-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 15 Jul 2009 00:39:47 +0200

amoeba (1.1-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable GUI configuration interface, based on GTK 1.2, which is
    scheduled for removal. The configuration settings can still be
    set on the command line. (Closes: 511953)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Feb 2009 12:09:22 +0100

amoeba (1.1-19) unstable; urgency=low

  * Update Standards-Version to 3.7.2 (no changes needed).
  * Update to debhelper compatibility mode version 5 (no changes needed).
    * Update versioned build-dependency on debhelper.
  * Don't ignore all make clean errors; use "[ ! -f Makefile ] ||" instead of
    the hyphen.
  * Make empty binary-indep target, to make lintian happy.
  * Remove obsolete DEB_BUILD_OPTIONS checking; we always build with -g
    anyway, and INSTALL_PROGRAM isn't ever used.
  * Use nroff escape \[:o] instead of verbatim ISO-8859-1 character ö in the
    man page.
  * Switch to quilt for managing patches.
    * Build-depend on quilt (>= 0.40).
    * Make debian/patches/ directory.
    * Include /usr/share/quilt/quilt.make in debian/rules, and depend on patch
      and unpatch targets. Split clean into a dummy clean and a real-clean,
      as unpatch fiddles with the Makefile and we thus want unpatch to run
      after make clean. (Actually, clean needs to patch first, then clean,
      then unpatch. Yes, it's kind of silly.)
    * Split monolithic diff into smaller diffs (and clean up some of them):
      * 01-debian-policy-cflags.diff: Policy-compliant CFLAGS/CXXFLAGS.
      * 02-executable-filename.diff: Call output executable "amoeba".
      * 03-shell-in-makefile.diff: Use $(shell foo) instead of `foo`.
      * 04-install-target.diff: Add an install target to the Makefile.
      * 05-nudge-texcoords.diff: Various "nudges" to texture coordinates to
        avoid gaps. (Note: I've since found out that the notion of "nudging"
        is all wrong and will probably cause some smearing of the texture.
        However, there are so many broken drivers out there, and the problem
        in backgroundhandler.cpp will probably require border texels and other
        ugliness, so I'm leaving it as-is for now.) [minor tidying done]
      * 06-proper-curve-cleaning.diff: Handle the special case "hashtable of
        curves", so that the destructors are called properly. [minor tidying
        done]
      * 07-drop-compiled-vertex-arrays.diff: Don't use compiled vertex arrays
        in twisthandler; I believe this was done in its time to work around a
        bug in the ATI FireGL drivers. Probably fixed now, but I don't have
        the opportunity to check right now, so it's staying for now.
        [minor tidying done]
      * 08-single-point-spline.diff: Handle the special case of a single-point
        spline correctly, without causing Valgrind hits. [minor tidying done]
      * 09-dont-set-gtk-locale.diff: Don't set the (GTK) locale, as it causes
        problems reading the object files depending on LC_CTYPE.
      * 10-xopendisplay.diff: Give NULL instead of 0 to XOpenDisplay (as it
        expects a char *; it's only cosmetic, though), and give a proper error
        message if it fails, instead of crashing. [minor tidying done]
      * 11-friendly-error-messages.diff: Give slightly friendlier messages in
        common, fatal error situations. [minor tidying done]
      * 12-i386-asm.diff: Don't try to use i386 assembler on non-i386
        platforms.
      * 13-libpng-64-bit-fixes.diff: Fix PNG loading issues on systems where
        sizeof(png_uint_32) > sizeof(unsigned int).
      * 14-properly-delete-vfcache.diff: Use delete[] instead of delete on
        vfcache, as it was allocated using new[].
      * 15-fix-pakfile-endianness.diff: Make the packer work regardless of
        system endianness.
      * 16-pakfile-debian-location.diff: Make the packer look for the pakfile
        where the amoeba-data package puts it, instead of in the local
        directory.
      * 17-fix-audio-endianness.diff: Make the audio system work properly 
        regardless of system endianness.
      * 18-declare-glxgetprocaddressarb.diff: Manually declare
        glXGetProcAddressARB, as not all OpenGL headers do. [minor tidying
        done]
    * Two patches were dropped from the monolithic diff:
      * The first change caused wglGetProcAddressARB() to be used instead of
        wglGetProcAddress() on Windows, which is irrelevant for Debian.
      * The other change used "static struct" instead of "struct" in the global
        texture array, without any apparent reason.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 29 Jun 2007 12:02:25 +0200

amoeba (1.1-18) unstable; urgency=low

  * Fix a few typos in the man page; patch from A Costa. (Closes: #351003)

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 20 May 2007 11:51:25 +0200

amoeba (1.1-17) unstable; urgency=low

  * Yet another GLU transition; build-depend on libglu1-mesa-dev this time.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue,  4 Jul 2006 20:47:28 +0200

amoeba (1.1-16) unstable; urgency=low

  * Correct typo in Build-dependency, messing up the x.org/gcc4 transition
    that was supposed to go into -15. (Closes: #318945)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 18 Jul 2005 22:12:01 +0200

amoeba (1.1-15) unstable; urgency=low

  * Rebuild for X.org transition.
    * Updated GLU Build-dependency to "libglu1-xorg-dev | libglu-dev".
    * Changed the Build-dependency on xlibs-static-dev to libxxf86vm-dev.
  * Update Standard-Version to 3.6.2 (no changes needed).
  * Change from `foo-config` to $(shell foo-config) style in Makefile.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 17 Jul 2005 10:26:15 +0200

amoeba (1.1-14) unstable; urgency=low

  * Rebuilt using g++ 4.0, as per the Debian GCC 4.0 Transition plan.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  6 Jul 2005 00:48:12 +0200

amoeba (1.1-13) unstable; urgency=low

  * Rebuild in a clean sid chroot (using pbuilder), to avoid dependency on
    gcc-4.0 libgcc. (Closes: #292093) 

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 26 Jan 2005 23:03:51 +0100

amoeba (1.1-12) unstable; urgency=low

  * Stop using anonymous types for non-local variables, to make amoeba compile
    with gcc-4.0. Patch from Andreas Jochens, thanks. :-) (Closes: #289836)
  * Don't Build-Depend on libstdc++, as it's already build-essential.
    (Closes: #268599)
  * De-capitalize first letter of synopsis (fixes lintian warning). 

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 24 Jan 2005 05:18:49 +0100

amoeba (1.1-11) unstable; urgency=high

  * Use temporary variables for width and height in image/png_image.cpp,
    which should fix the loading problems for systems where
    sizeof(png_uint_32) is not 32 bits (!).

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 14 Nov 2004 16:13:27 +0100

amoeba (1.1-10) unstable; urgency=low

  * Changed _back_ to glXGetProcAddressARB, as nVidia's drivers can't handle
    glXGetProcAddress and nVidia refuses to fix it. (Closes: #244197)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed,  5 May 2004 01:39:19 +0200

amoeba (1.1-9) unstable; urgency=low

  * Replaced xlibmesa3-dev and xlibmesa3-glu-dev with the correct XFree 4.3
    -dev packages. (Closes: #235009)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 27 Feb 2004 02:16:17 +0100

amoeba (1.1-8) unstable; urgency=low

  * Changed maintainer field to match my new e-mail address (and remove
    the quotes around my real name, which should never have been there
    in the first place).
    
  * Removed DH_COMPAT from debian/rules; moved it into debian/compat instead.
    Upped the value to 4 and made the required changes to debian/control,
    as well as upped the version number of the dependency.

  * Split xlibs-dev build-dependency into smaller dependencies, as per the
    new X (4.3.0) -dev packaging system.

  * Renamed glXGetProcAddressARB calls to glXGetProcAddress, as most of the
    GLX build headers seem to have made the change now. This should make the
    package build from source again. Updated the Build-Depends: from
    xlibmesa-dev to libgl-dev accordingly.

  * Added "preferred alternatives" to the libgl-dev and libglu-dev
    dependencies, so pbuilder won't pick conflicting providers for them.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 26 Feb 2004 02:42:52 +0100

amoeba (1.1-7) unstable; urgency=low

  * Work around a bug in ATIs FireGL drivers, causing a segfault on ATI cards.
    (Closes: #224005)

  * Fix a bug causing dark lines in certain resolutions on certain graphics
    cards.

  * Build with optimization again.

  * Minor cleanups in debian/rules.

  * Reworded package description.

  * Upgraded the Standards-version to 3.6.1:
    * Converted the changelog to UTF-8.

  * Change build-dependencies to avoid FTBFS with newer mesag-dev.

  * Edited debian/copyright a bit to specify more clearly that amoeba is
    licensed under the GPL _v2_, not just any version. (This does not change
    the license; it has been GPL v2 all along, debian/copyright just was not
    clear enough.)

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Mon, 15 Dec 2003 17:45:57 +0100

amoeba (1.1-6) unstable; urgency=low

  * Fixed a typo in debian/control.

  * Cleaned up the build scripts a bit.

  * Corrected the partyplace in debian/control (Underscore is in Gothenburg,
    not Jonköping).

  * Rebuilt using g++ 3.2, as per the Debian GCC 3.2 Transition plan. This
    also makes sure amoeba depends on the correct Ogg Vorbis libraries.

  * Made some of the OpenGL error messages give hints about what might be
    wrong, to make it easier for users with broken OpenGL setups.

  * Added package conflict on mesag3, since the executable already checks for
    direct rendering, and Mesa cannot provide that.

  * Upgraded the Standards-Version to 3.5.8 (no changes needed).

  * amoeba is now Valgrind-clean.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Wed, 09 Apr 2003 22:28:18 +0200

amoeba (1.1-5) unstable; urgency=medium

  * 1.1-4 broke compressed file loading on x86 (argh) -- fixed it again.
    (Closes: #173207)

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Sun, 15 Dec 2002 13:52:37 +0100

amoeba (1.1-4) unstable; urgency=medium

  * The sound device is now no longer opened for read/write, which caused
    problems on some sound cards. (Closes: #170640)

  * Sound should now _really_ not be garbled on big-endian systems --
    Vorbis audio was always read as little endian, causing problems on
    big-endian systems. Also, compressed file loading should no longer
    fail on big-endian systems. (Closes: #170614)

  * Now compiling without -fomit-frame-pointer, so exception handling works
    properly.

  * Also compiling with -g, to follow Debian policy better.

  * Failure to open a connection the X server is now handled correctly with
    an exception instead of a segmentation fault.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Mon, 25 Nov 2002 13:09:48 +0100

amoeba (1.1-3) unstable; urgency=medium

  * Should now compile on 64-bit platforms. (Closes: #168895)

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 14 Nov 2002 02:21:07 +0100

amoeba (1.1-2) unstable; urgency=medium

  * Do not include x86-specific assembler in non-x86 ports. (Closes: #167892)

  * Sound should no longer be garbled on big-endian systems.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Tue, 05 Nov 2002 17:10:08 +0100
 
amoeba (1.1-1) unstable; urgency=low

  * Initial release for Debian.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Sat, 26 Oct 2002 02:07:23 +0200

